LettrLabs API
API ReferenceConversions

List conversions

Returns all conversions recorded for the authenticated account, with their processing status.

GET
/v1/conversions

Returns all conversions recorded for the authenticated account, with their processing status.

X-API-KEY<token>

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/conversions"
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": [    {      "id": 0,      "fileName": "string",      "dataSourceType": "CsvImport",      "status": "Processing",      "uploadDate": "2019-08-24T14:15:22Z"    }  ],  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": [    {      "id": 0,      "fileName": "string",      "dataSourceType": "CsvImport",      "status": "Processing",      "uploadDate": "2019-08-24T14:15:22Z"    }  ],  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": [    {      "id": 0,      "fileName": "string",      "dataSourceType": "CsvImport",      "status": "Processing",      "uploadDate": "2019-08-24T14:15:22Z"    }  ],  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": [    {      "id": 0,      "fileName": "string",      "dataSourceType": "CsvImport",      "status": "Processing",      "uploadDate": "2019-08-24T14:15:22Z"    }  ],  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}